{{/* vim: set filetype=gotpl: */}}
{{- define "gitea.fullname" -}}
{{- printf "%s-%s" .Release.Name "gitea" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "postgresql.fullname" -}}
{{- printf "%s-%s" .Release.Name "postgresql" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/* Labels communs */}}
{{- define "gitea.labels" -}}
helm.sh/chart: {{ printf "%s-%s" .Chart.Name .Chart.Version | quote }}
{{ include "gitea.selectorLabels" . }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
{{- end -}}

{{/* Labels sélecteurs pour Gitea */}}
{{- define "gitea.selectorLabels" -}}
app.kubernetes.io/name: gitea
app.kubernetes.io/instance: {{ .Release.Name }}
{{- end -}}

{{/* Labels sélecteurs pour PostgreSQL */}}
{{- define "postgresql.selectorLabels" -}}
app.kubernetes.io/name: postgresql
app.kubernetes.io/instance: {{ .Release.Name }}
{{- end -}}

{{/* Nom du Secret PostgreSQL */}}
{{- define "postgresql.secretName" -}}
{{ template "postgresql.fullname" . }}
{{- end -}}

{{/* Nom du Service PostgreSQL */}}
{{- define "postgresql.serviceName" -}}
{{ template "postgresql.fullname" . }}
{{- end -}}

{{/* Nom du PVC Gitea */}}
{{- define "gitea.pvcName" -}}
{{ template "gitea.fullname" . }}-data
{{- end -}}